CHICKEN-UNINSTALL(1)

NAME
chicken-uninstall - uninstall extension library

SYNOPSIS
chicken-uninstall [OPTION ...] [NAME ...]

DESCRIPTION
chicken-uninstall removes one or more already installed extension libraries for the CHICKEN Scheme system. PATTERN may be a regular expression naming multiple extensions or just an extension name.

The program accepts following arguments:

-h, -help
    Show usage and exit.

-version
    Show version and exit.

-force
    Don't ask, just delete whatever matches.

-match
    Treat NAME as a glob pattern.

-s, -sudo
    Use external program to elevate privileges for deleting files. The program defaults to sudo(8) but can be overridden with SUDO environment variable.

-host
    When cross-compiling, only uninstall host extensions.

-target
    When cross-compiling, only uninstall target extensions.

ENVIRONMENT
The following environment variables change the behaviour of chicken-uninstall:

CHICKEN_INSTALL_REPOSITORY
    The path where extension libraries are installed. Defaults to the package library path selected during configuration (usually /var/lib/chicken/<binary-version>).

SUDO
    The command to execute when using -s flag in command. If not provided, defaults to sudo(8).

EXIT STATUS

SEE ALSO
chicken(1), chicken-install(1), chicken-status(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org